Get Subsidiaries
curl --request POST \
--url https://api.bigdata.com/v1/knowledge-graph/subsidiaries/query \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"identifier": {
"type": "rp_entity_id",
"value": "D8442A"
}
}
'import requests
url = "https://api.bigdata.com/v1/knowledge-graph/subsidiaries/query"
payload = { "identifier": {
"type": "rp_entity_id",
"value": "D8442A"
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: {type: 'rp_entity_id', value: 'D8442A'}})
};
fetch('https://api.bigdata.com/v1/knowledge-graph/subsidiaries/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"ultimate_parent_id": "D8442A",
"ultimate_parent_name": "Apple Inc.",
"immediate_parent_id": "D8442A",
"immediate_parent_name": "Apple Inc.",
"identifier": "07EB2B",
"entity_name": "Apple Operations Ltd.",
"level": 2
},
{
"ultimate_parent_id": "D8442A",
"ultimate_parent_name": "Apple Inc.",
"immediate_parent_id": "MJT4QE",
"immediate_parent_name": "Apple Retail Europe Ltd.",
"identifier": "JY8BAE",
"entity_name": "Apple Retail Sweden AB",
"level": 4
}
],
"errors": [],
"metadata": {
"request_id": "07b5eb7e-5e6f-4ebf-b597-e3b4a7aa4250",
"timestamp": "2026-03-31T17:13:34.289840+00:00",
"rp_entity_id": "D8442A"
}
}Companies
Get Subsidiaries
Returns the full subsidiary hierarchy for a given company. For each subsidiary includes: ultimate parent, immediate parent, company name, and hierarchy depth level.
POST
/
v1
/
knowledge-graph
/
subsidiaries
/
query
Get Subsidiaries
Authorizations
Body
application/json
Request body for retrieving the subsidiary hierarchy of a company
Object specifying which identifier you are using to request the data. You must supply one type and its corresponding value.
Show child attributes
Show child attributes
Was this page helpful?
⌘I